# Ice::Stats

## Overview

### local interface Stats

An interface Ice uses to report statistics, such as how much data is sent or received. Applications must provide their own Stats by implementing this interface and installing it in a communicator.

#### Used By

Communicator::getStats

## Operations

### void bytesSent(string protocol, int num)

Callback to report that data has been sent.

#### Parameters

protocol
  The protocol over which data has been sent (for example "tcp", "udp", or "ssl").
num
  How many bytes have been sent.

### void bytesReceived(string protocol, int num)

Callback to report that data has been received.

#### Parameters

protocol
  The protocol over which data has been received (for example "tcp", "udp", or "ssl").
num
  How many bytes have been received.